summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Vogt <mvo@debian.org>2013-10-09 07:58:31 +0200
committerMichael Vogt <mvo@debian.org>2013-10-09 07:58:31 +0200
commit08d3d7e93e4aba1998dd89a8e10da5046ad7dcb6 (patch)
treef1714e95400299be1a904a34ca7f1f97040bbfbb
parent005d0bfcfbf6a016782a9854ac6f07e9881b5e74 (diff)
add test for upgrade, upgrade --with-new-pkgs, dist-upgrade
-rwxr-xr-xtest/integration/test-apt-get-upgrade69
1 files changed, 69 insertions, 0 deletions
diff --git a/test/integration/test-apt-get-upgrade b/test/integration/test-apt-get-upgrade
new file mode 100755
index 000000000..39d0ac22f
--- /dev/null
+++ b/test/integration/test-apt-get-upgrade
@@ -0,0 +1,69 @@
+#!/bin/sh
+set -e
+
+TESTDIR=$(readlink -f $(dirname $0))
+. $TESTDIR/framework
+
+setupenvironment
+configarchitecture "i386"
+
+# FIXME: use simulated packages instead
+
+buildsimplenativepackage 'foo' 'all' '1.0'
+buildsimplenativepackage 'bar' 'all' '1.0'
+
+buildsimplenativepackage 'apx' 'all' '1.0' 'stable'
+buildsimplenativepackage 'apx' 'all' '2.0' 'unstable' 'Conflicts: foo'
+
+buildsimplenativepackage 'apc' 'all' '1.0' 'stable'
+buildsimplenativepackage 'apc' 'all' '2.0' 'unstable' 'Depends: bar'
+
+insertinstalledpackage 'apx' 'all' '1.0'
+insertinstalledpackage 'apc' 'all' '1.0'
+insertinstalledpackage 'foo' 'all' '1.0'
+
+setupaptarchive
+
+msgtest "Test normal upgrade works"
+testequal 'Reading package lists...
+Building dependency tree...
+The following packages have been kept back:
+ apc apx
+The following packages will be upgraded:
+ foo
+1 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.
+Inst foo [1.0] (1.0 unstable [all])
+Conf foo (1.0 unstable [all])' aptget -s upgrade && msgpass || msgfail
+
+msgtest "Test if upgrade --with-new-pkgs works"
+testequal 'Reading package lists...
+Building dependency tree...
+The following NEW packages will be installed:
+ bar
+The following packages have been kept back:
+ apx foo
+The following packages will be upgraded:
+ apc
+1 upgraded, 1 newly installed, 0 to remove and 2 not upgraded.
+Inst bar (1.0 unstable [all])
+Inst apc [1.0] (2.0 unstable [all])
+Conf bar (1.0 unstable [all])
+Conf apc (2.0 unstable [all])' aptget -s upgrade --with-new-pkgs && msgpass || msgfail
+
+msgtest "Test dist-upgrade works"
+testequal 'Reading package lists...
+Building dependency tree...
+The following NEW packages will be installed:
+ bar
+The following packages have been kept back:
+ apx
+The following packages will be upgraded:
+ apc foo
+2 upgraded, 1 newly installed, 0 to remove and 1 not upgraded.
+Inst bar (1.0 unstable [all])
+Inst apc [1.0] (2.0 unstable [all])
+Inst foo [1.0] (1.0 unstable [all])
+Conf bar (1.0 unstable [all])
+Conf apc (2.0 unstable [all])
+Conf foo (1.0 unstable [all])' aptget -s dist-upgrade && msgpass || msgfail
+